package dw_sdk

import "testing"

func TestNewArticleServiceClient(t *testing.T) {
	//cli := NewArticleServiceClient(PublicConfig{
	//	Key:    "340139807ccc413b8767f89ce2ffb121",
	//	Secret: "3c3ab5aa12fc4f7d8e11a32e11c08760",
	//	Env:    "dev",
	//})
	cli := NewArticleServiceClient(Config{
		Public: PublicConfig{
			Key:    "92a2afa02627410fae9e3331cc850224",
			Secret: "73b5bf12bc5e4b4690f444b32b934dc0feb1e42977514333a76f263592ee37f4",
			Env:    "online",
		},
		Proxy: &ProxyConfig{
			Host: "jd.timerzz.com",
			Port: "8090",
			User: "timerzz",
			Pass: "zhhg1997",
		},
	})
	resp, err := cli.BatchArticleNumber([]string{"C4250-IMNLJ"})
	if err != nil {
		t.Fatal(err)
	}
	t.Log(resp)
}
